from system_env import setup_portal_environment

PORTAL_ENV = setup_portal_environment()

CONF_DIR = PORTAL_ENV['CONF_DIR']
CONSOLE_ROOT = PORTAL_ENV['ROOT_HOME']
CONSOLE_HOME = PORTAL_ENV['PROJECT_ROOT']

IS_DRAWBRIDGE_OS = PORTAL_ENV['IS_DRAWBRIDGE_OS']
PORTAL_USER = 'portal' if IS_DRAWBRIDGE_OS else 'logcabin'
PORTAL_CODE_NAME = PORTAL_ENV['PORTAL_CODE_NAME']
PORTAL_LOG_DIR = f'/var/log/{PORTAL_CODE_NAME}/'
DB_HOST = '/var/run/postgresql' if IS_DRAWBRIDGE_OS else '/tmp'

PYTHON = '/usr/bin/python3.11' if IS_DRAWBRIDGE_OS else '/usr/bin/python3'
